Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class FindComplexRelationsRequest

Object
PagedRequest
CursorPagedRequest
FindComplexRelationsRequest

All Implemented Interfaces:
  `Serializable`

public class FindComplexRelationsRequest extends CursorPagedRequest implements Serializable
The search criteria for complex relations.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned complex relations satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 complex relations is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindComplexRelationsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindComplexRelationsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindComplexRelationsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  The ID of the asset for which complex relations should be found.
  `UUID`
  `getTypeId()`
  The ID of the type of complex relations to search for.
  `List<String>`
  `getTypePublicIds()`
  The The list of Public ID of the type of complex relations to search for.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  The ID of the asset for which complex relations should be found.
  `void`
  `setTypeId(UUID typeId)`
  The ID of the type of complex relations to search for.
  `void`
  `setTypePublicIds(List<String> typePublicIds)`
  The The list of Public ID of the type of complex relations to search for.
  `String`
  `toString()`

  ### Methods inherited from class CursorPagedRequest

  `getCountLimit, getCursor, getOffset, setCountLimit, setCursor, setOffset`

  ### Methods inherited from class PagedRequest

  `getLimit, isPagingActive, setLimit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindComplexRelationsRequest

    public FindComplexRelationsRequest()

- ## Method Details

  - ### builder

    public static FindComplexRelationsRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    The ID of the asset for which complex relations should be found.

  - ### getTypeId

    public UUID getTypeId()
    The ID of the type of complex relations to search for.

  - ### getTypePublicIds

    public List<String> getTypePublicIds()
    The The list of Public ID of the type of complex relations to search for.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    The ID of the asset for which complex relations should be found.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    The ID of the type of complex relations to search for.

  - ### setTypePublicIds

    public void setTypePublicIds(List<String> typePublicIds)
    The The list of Public ID of the type of complex relations to search for.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `CursorPagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `CursorPagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CursorPagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CursorPagedRequest`